Page MenuHomePhabricator

Implement support for Autofill Framework in Android 8.0
Closed, ResolvedPublic

Description

The autofill framework is not supported on the Wikipedia Android app, preventing simple log-in to the app through a password manager. Dev documentation is available at https://developer.android.com/guide/topics/text/autofill.html.

What should happen


(An example using the Twitter app. I personally use Enpass; however, all of the major password managers support the framework.)

What actually happens

Event Timeline

Daylen created this task.Aug 29 2017, 4:37 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 29 2017, 4:37 AM
Dbrant renamed this task from Autofill not working when logging in on Android app to Implement support for Autofill Framework in Android 8.0.Aug 29 2017, 1:52 PM
Dbrant added a subscriber: Dbrant.Apr 2 2018, 9:00 PM

AFAICT this is working without any modification on my Android 8 devices. After logging in, the system asks if I want to save my credentials into Autofill.
Can you check again with the latest version of the app?

Dbrant closed this task as Resolved.Apr 19 2018, 6:09 PM
Dbrant claimed this task.